Hướng dẫn tích hợp
Gọi theo định dạng chính thức Replicate
| Nếu cần thêm mô hình, vui lòng liên hệ bộ phận hỗ trợ
Thay thế https://api.replicate.com chính thức bằng /replicate Dữ liệu đầu vào/đầu ra và phương thức yêu cầu giống hệt với trang chính thức
Quy trình tích hợp
- Tạo tác vụ Sau khi gửi tác vụ, lấy ID tác vụ
- Kiểm tra tiến độ tác vụ Truy vấn tiến độ tác vụ qua ID để lấy kết quả
PS: Thời hạn hiệu lực của các liên kết tài nguyên trả về là 1 giờ
Mô tả các trường chính trong phản hồi
Trường Kiểu Mô tả input object Đầu vào output string hoặc []string URL đầu ra nội dung status string Trạng thái: starting processing succeeded failed
1.Tạo tác vụ.Phương thức đường dẫn Ví dụ với black-forest-labs/flux-schnell
curl --request POST \
--url {{BASE_URL}}/replicate/v1/models/black-forest-labs/flux-schnell/predictions \
--header 'Authorization: Bearer hk-you-key' \
--header 'Content-Type: application/json' \
--data '{
"input": {
"prompt": "Japanese cartoon anime style, (1 person) (Gender: Male, Age: 30, Hair: Short black hair, Outfit: Dark blue hunting attire, includes a fitted jacket and trousers.) (A dimly lit room filled with tension, is questioning Female, 27 years old, long black hair, pink tulle dress., who stands nervously in her pink dress, the sound of rain pattering against the window.)",
"go_fast": true,
"megapixels": "1",
"num_outputs": 1,
"aspect_ratio": "1:1",
"output_format": "jpg",
"output_quality": 80,
"num_inference_steps": 4
}
}'Trường id trong phản hồi là ID tác vụ cho bước tiếp theo
{
"id": "qpt5jq1fssrmc0cmd5hvy31mdg",
"model": "black-forest-labs/flux-schnell",
"version": "dp-4d0bcc010b3049749a251855f12800be",
"input": {
"aspect_ratio": "1:1",
"go_fast": true,
"megapixels": "1",
"num_inference_steps": 4,
"num_outputs": 1,
"output_format": "jpg",
"output_quality": 80,
"prompt": "Japanese cartoon anime style, (1 person) (Gender: Male, Age: 30, Hair: Short black hair, Outfit: Dark blue hunting attire, includes a fitted jacket and trousers.) (A dimly lit room filled with tension, is questioning Female, 27 years old, long black hair, pink tulle dress., who stands nervously in her pink dress, the sound of rain pattering against the window.)"
},
"logs": "",
"output": null,
"data_removed": false,
"error": null,
"status": "starting",
"created_at": "2025-01-15T09:54:55.566Z",
"urls": {
"cancel": "https://api.replicate.com/v1/predictions/qpt5jq1fssrmc0cmd5hvy31mdg/cancel",
"get": "https://api.replicate.com/v1/predictions/qpt5jq1fssrmc0cmd5hvy31mdg",
"stream": "https://stream.replicate.com/v1/files/bcwr-gvuc2rokjozhlaxh6dcvk6tvhh2ymt4egnnpxvmtqql57angyfsq"
}
}2.Tạo tác vụ.Phương thức version Ví dụ với lucataco/flux-schnell-lora Tài liệu tham khảo https://replicate.com/lucataco/flux-schnell-lora?input=http Theo tài liệu, version là: 2a6b576af31790b470f0a8442e1e9791213fa13799cbb65a9fc1436e96389574
curl --request POST \
--url {{BASE_URL}}/replicate/v1/predictions \
--header 'Authorization: Bearer hk-your-key' \
--header 'Content-Type: application/json' \
--data '{
"version": "2a6b576af31790b470f0a8442e1e9791213fa13799cbb65a9fc1436e96389574",
"input": {
"prompt": "Japanese cartoon anime style, (1 person) (Gender: Male, Age: 30, Hair: Short black hair, Outfit: Dark blue hunting attire, includes a fitted jacket and trousers.) (A dimly lit room filled with tension, is questioning Female, 27 years old, long black hair, pink tulle dress., who stands nervously in her pink dress, the sound of rain pattering against the window.)",
"hf_lora": "alvdansen/frosting_lane_flux",
"lora_scale": 0.8,
"num_outputs": 1,
"aspect_ratio": "1:1",
"output_format": "webp",
"output_quality": 80,
"prompt_strength": 0.8,
"num_inference_steps": 4
}
}'Định dạng phản hồi giống như định dạng ở trên Lấy tác vụ Lấy ID tác vụ từ bất kỳ phương thức tạo nào ở trên Kết quả nằm ở trường chính output Lưu ý: kết quả và các tệp tin qua liên kết có thời hạn hiệu lực giới hạn get /replicate/v1/predictions/
curl --request GET \
--url {{BASE_URL}}/replicate/v1/predictions/ctdwaehfz1rm80cmd5nsjd8114 \
--header 'Authorization: Bearer hk-you-key' \
--header 'Content-Type: application/json'Phản hồi
{
"id": "ctdwaehfz1rm80cmd5nsjd8114",
"model": "black-forest-labs/flux-schnell",
"version": "dp-4d0bcc010b3049749a251855f12800be",
"input": {
"aspect_ratio": "1:1",
"go_fast": true,
"megapixels": "1",
"num_inference_steps": 4,
"num_outputs": 1,
"output_format": "jpg",
"output_quality": 80,
"prompt": "Japanese cartoon anime style, (1 person) (Gender: Male, Age: 30, Hair: Short black hair, Outfit: Dark blue hunting attire, includes a fitted jacket and trousers.) (A dimly lit room filled with tension, is questioning Female, 27 years old, long black hair, pink tulle dress., who stands nervously in her pink dress, the sound of rain pattering against the window.)"
},
"logs": "Using seed: 62182\nrunning quantized prediction\nUsing seed: 62182\n 0%| | 0/4 [00:00<?, ?it/s]\n 75%|███████▌ | 3/4 [00:00<00:00, 15.38it/s]\n100%|██████████| 4/4 [00:00<00:00, 13.43it/s]\nTotal safe images: 1 out of 1\n",
"output": [
"https://replicate.delivery/xezq/RoEhEdyl8PoIGFFPg46TU4Svj24i1NDVYmzehJfqLuX9nTFUA/out-0.jpg"
],
"data_removed": false,
"error": null,
"status": "succeeded",
"created_at": "2025-01-15T10:03:39.896Z",
"started_at": "2025-01-15T10:03:40.584470194Z",
"completed_at": "2025-01-15T10:03:41.142386377Z",
"urls": {
"cancel": "https://api.replicate.com/v1/predictions/ctdwaehfz1rm80cmd5nsjd8114/cancel",
"get": "https://api.replicate.com/v1/predictions/ctdwaehfz1rm80cmd5nsjd8114",
"stream": "https://stream.replicate.com/v1/files/bcwr-q57vie7wuzg3wxv2hvpajgmzqzmxe67kqddednevutmrpdcft6xq"
},
"metrics": {
"image_count": 1,
"predict_time": 0.557916184
}
}